'---------------------------------------------------------------
' Calcul de la Prvalence de la Trisomie 21 selon l'age Maternel
'---------------------------------------------------------------

Option Explicit

Dim AgeMAT		'// Age
Dim PREVALENCE		'// Prvalence = Nombre de CAs dans la Population
Dim PROBABILITE		'// Risque de survenue Entre 0 et 1

'=================
' SAISIE DE L'AGE DE LA MERE 
'=================

AgeMAT = InputBOX ("Entrez l'Age de la Mre (en annes)","SAISIE D'UNE VALEUR NUMERIQUE",30)
if ageMAT = 0 then 
	msgbox "Bye"
	wscript.quit(1)
end if 

'=================
' CALCUL DE LA PROBABILITE DE T21 SELON L'AGE MATERNEL
'=================
PROBABILITE = (0.0005831 + exp(-16.1992104+(.2892432*AgeMat)))
PREVALENCE  = INT (1 / PROBABILITE)

'=================
' AFFICHAGE DES RESULTATS
'=================

MsgBOX 	"TRISOMIE(S) 21" & vbNewLine & _
	"==============" & vbNewLine & vbNewLine & _
	"Probabilit : " & formatPercent(PROBABILITE) & vbNewLine & _
	"-> " & formatNumber(PROBABILITE,6) & vbNewline & vbNewLine & _
	"Prvalence  :" & vbNewLine & _
	"-> 1/" & cstr(PREVALENCE) & vbNewLine & _
	"-> Soit " & Int(PROBABILITE*100000) & " cas pour 100.000 Grossesses" & vbNewLine & vbNewLine & _
	"Pour Info" & vbNewLine & _
	"->Probabilit Non arrondie = " & cstr(PROBABILITE) & vbNewLine & _
	"->Prvalence non arrondie  = 1/" & cstr(1/PROBABILITE),  _
   	vbInformation , _
	"Issue des Grossesses  " & cstr(ageMAt) & " ans"

'=================
' FIN NORMALE 
'	(Le programe retourne le Nombre de Jours  Windows)
'	Ce nombre peut tre rcupr en Programmant 'ERRORLEVEL'
'=================
Wscript.QUIT(PROBABILITE)